Skip to main content
POST
/
connect
/
sessions
Create connect session
curl --request POST \
  --url https://api.nango.dev/connect/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": {},
  "allowed_integrations": [
    "<string>"
  ],
  "integrations_config_defaults": {},
  "overrides": {}
}
'
import requests

url = "https://api.nango.dev/connect/sessions"

payload = {
"tags": {},
"allowed_integrations": ["<string>"],
"integrations_config_defaults": {},
"overrides": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: {},
allowed_integrations: ['<string>'],
integrations_config_defaults: {},
overrides: {}
})
};

fetch('https://api.nango.dev/connect/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "token": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "connect_link": "<string>"
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}
Requires an API key with the environment:connect_sessions:write scope. Learn more about API key scopes.
Creates a short-lived connect session (30m). The returned token can be used for instance to create connections through Connect UI. You can attach connection-level tags to the session via the tags field. These tags are copied onto the created connection and included in auth webhooks. Most apps start with these tags: end_user_id, end_user_email, organization_id.

Authorizations

Authorization
string
header
required

The secret key from your Nango environment.

Body

application/json
tags
object

Connection tags (key/value strings). Keys are normalized to lowercase.

end_user
object
deprecated

Deprecated, use tags instead

organization
object
deprecated

Deprecated, use tags instead

allowed_integrations
string[]

Filters which integrations the end user can interact with

integrations_config_defaults
object
overrides
object

Response

Successfully created a connect session

data
object
required